VarargCapturingMatcher
Date: 2015-09-18

org.mockito.internal.matchers

## Class VarargCapturingMatcher<T>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.mockito.ArgumentMatcher<T>
    - - org.mockito.internal.matchers.VarargCapturingMatcher<T>

- All Implemented Interfaces:
    java.io.Serializable, org.hamcrest.Matcher<T>, org.hamcrest.SelfDescribing, CapturesArguments, VarargMatcher

      public class VarargCapturingMatcher<T>
      extends ArgumentMatcher<T>
      implements CapturesArguments, VarargMatcher, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VarargCapturingMatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `captureFrom(java.lang.Object varArgArray)`
    `void` | `describeTo(org.hamcrest.Description description)` By default this method decamelizes matchers name to promote meaningful names for matchers.
    `java.util.List<java.util.List<T>>` | `getAllVarargs()`
    `java.util.List<T>` | `getLastVarargs()`
    `boolean` | `matches(java.lang.Object argument)` Returns whether this matcher accepts the given argument.

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VarargCapturingMatcher

          public VarargCapturingMatcher()

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object argument)

      Description copied from class: `ArgumentMatcher`
      Returns whether this matcher accepts the given argument.

      The method should never assert if the argument doesn't match. It should only return false.

      Specified by:
        `matches` in interface `org.hamcrest.Matcher<T>`
      Specified by:
        `matches` in class `ArgumentMatcher<T>`
      Parameters:
        `argument` - the argument
      Returns:
        whether this matcher accepts the given argument.

    - #### describeTo

          public void describeTo(org.hamcrest.Description description)

      Description copied from class: `ArgumentMatcher`
      By default this method decamelizes matchers name to promote meaningful names for matchers.

      For example StringWithStrongLanguage matcher will generate 'String with strong language' description in case of failure.

      You might want to override this method to provide more specific description of the matcher (useful when verification failures are reported).

      Specified by:
        `describeTo` in interface `org.hamcrest.SelfDescribing`
      Overrides:
        `describeTo` in class `ArgumentMatcher<T>`
      Parameters:
        `description` - the description to which the matcher description is appended.

    - #### getLastVarargs

          public java.util.List<T> getLastVarargs()

    - #### getAllVarargs

          public java.util.List<java.util.List<T>> getAllVarargs()

    - #### captureFrom

          public void captureFrom(java.lang.Object varArgArray)

      Specified by:
        `captureFrom` in interface `CapturesArguments`